Name:           perl-Convert-ASCII-Armour
Version:        1.4
Release:        %mkrel 9
License:        Artistic

%define realname        Convert-ASCII-Armour
Group:          Development/Perl

Summary:        Convert binary octets into ASCII armoured messages
Source0:        ftp://ftp.perl.org/pub/CPAN/modules/by-module/Convert/%{realname}-%{version}.tar.bz2
Url:            http://www.cpan.org
Prefix:         %{_prefix}
BuildRequires:  perl(Compress::Zlib)  
Requires:       perl
BuildArch:      noarch

%description 
This module converts hashes of binary octets into ASCII
messages suitable for transfer over 6-bit clean transport
channels. The encoded ASCII resembles PGP's armoured
messages, but are in no way compatible with PGP.

%prep
%setup -q -n %{realname}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" echo | %{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc ARTISTIC
%{perl_vendorlib}/*
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.4-9.mga3
+ Revision: 364751
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 1.4-8.mga1
+ Revision: 36863
- rebuild

* Sun Jan 23 2011 jquelin <jquelin> 1.4-7.mga1
+ Revision: 34885
- mageia rebuild
- imported package perl-Convert-ASCII-Armour

